<?php 

// config.php 
// this file defines the configuration of this system

// defines the version of this software program
// Upgrade to php 7.2
define("VERSION", "2.04");

require_once("db-config.php");

//define timezone
define("TIMEZONE", "Africa/Lagos");
date_default_timezone_set('Africa/Lagos');

// defines the absolute path
if ( !defined('ABSPATH') )
	define('ABSPATH', realpath(dirname(__FILE__)) . '/');

//session destroys at 30 minutes of inactivity 
define('DESTROY_SESSION', 1800); //time in seconds

//default user role
define('DEFAULT_USER_ROLE', 'student');

//init admin
define('ADMIN_USER', 'kins');
define('ADMIN_PASS', 'init');
define('ADMIN_EMAIL', 'kinsokafor2@gmail.com');

//developer
define('AUTHENTICATE', 'ProMmsnhhjdyiiyu');

// upload folder structure
define('UPLOADFOLDER', 'uploads');

//currency
define('CURRENCY', 'NGN');

define('_DATE_FORMAT_', 'd-m-Y');

define('_TIME_FORMAT_', 'H:i:s');

ini_set('max_execution_time', 300);

define('LOGIN_PAGE', 'login');

define('LOGOUT_PAGE', 'logout');

define('REGISTRATION_PAGE', 'registration');

define('FORGOT_PASS_PAGE', 'forgot_password');

define('ACTIVATION_PAGE', 'activation');

$admin_roles = serialize(['super_admin', 'admin', 'super_admin_tech', 'admin_tech', 'software_engineer']);

define('ADMIN_ROLES', $admin_roles);

/**
 * @since 0.71
 */
define( 'OBJECT', 'OBJECT' );
// phpcs:ignore Generic.NamingConventions.UpperCaseConstantName.ConstantNotUpperCase
define( 'object', 'OBJECT' ); // Back compat.

/**
 * @since 2.5.0
 */
define( 'OBJECT_K', 'OBJECT_K' );

/**
 * @since 0.71
 */
define( 'ARRAY_A', 'ARRAY_A' );

/**
 * @since 0.71
 */
define( 'ARRAY_N', 'ARRAY_N' );

define( 'ALWAYS', 'ALWAYS' );

define( 'NEVER', 'NEVER' );

define( 'MODERATE', 'MODERATE' );

define( 'EMAIL', 'EMAIL' );

define( 'SMS', 'SMS' );

define( 'NOTIFICATION', 'NOTIFICATION' );

?>